Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction.typeassumption
Class CParaTypeAssumption

    java.lang.Object
      mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
          mycompiler.mytypereconstruction.typeassumption.CParaTypeAssumption

All Implemented Interfaces:
  IHashSetElement

    public class CParaTypeAssumption

extends CTypeAssumption

Version:
  $Date: 2005/06/28 19:19:09 $
Author:
  Jörg Bäuerle

Field Summary
`protected java.lang.String` | `m_MethodName`
`protected int` | `m_MethodParaCount`

Fields inherited from class mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
`m_AssumedType, m_ClassName, m_Identifier, m_LineNumber`

Constructor Summary
`CParaTypeAssumption(java.lang.String className, java.lang.String methodName, int methodParaCount, java.lang.String identifier, Type assumedType, int lineNumber)`

Method Summary
`CParaTypeAssumption` | `clone()` Author: Jörg Bäuerle
`boolean` | `equalsAssumption(CTypeAssumption assumption)` Author: Jörg Bäuerle
`CMethodParaKey` | `getHashSetKey()` Author: Jörg Bäuerle
`java.lang.String` | `getMethodName()`
`int` | `getMethodParaCount()`
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setMethodParaCount(int methodParaCount)`

Methods inherited from class mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
`equals, getAssumedType, getClassName, getIdentifier, getLineNumber, isTyploseVariable, print, setAssumedType, setClassName, setIdentifier, setLineNumber, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_MethodName

    protected java.lang.String m_MethodName

### m_MethodParaCount

    protected int m_MethodParaCount

Constructor Detail

### CParaTypeAssumption

    public CParaTypeAssumption(java.lang.String className,
                               java.lang.String methodName,
                               int methodParaCount,
                               java.lang.String identifier,
                               Type assumedType,
                               int lineNumber)

Method Detail

### getMethodName

    public java.lang.String getMethodName()

### setMethodName

    public void setMethodName(java.lang.String methodName)

### getMethodParaCount

    public int getMethodParaCount()

### setMethodParaCount

    public void setMethodParaCount(int methodParaCount)

### getHashSetKey

    public CMethodParaKey getHashSetKey()

  Author: Jörg Bäuerle

  Specified by:
    `getHashSetKey` in interface `IHashSetElement`
  Specified by:
    `getHashSetKey` in class `CTypeAssumption`
  Returns:

### equalsAssumption

    public boolean equalsAssumption(CTypeAssumption assumption)

  Author: Jörg Bäuerle

  Specified by:
    `equalsAssumption` in class `CTypeAssumption`
  Parameters:
    `assumption` -
  Returns:

### clone

    public CParaTypeAssumption clone()

  Author: Jörg Bäuerle

  Specified by:
    `clone` in class `CTypeAssumption`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD